.highlight pre,
pre.highlight {
  max-height: 30rem;
  margin: 1.5rem 0;
  overflow: auto;
  font-size: 85.7142857%;
  border-radius: 3px
}

.highlight pre::-webkit-scrollbar,
pre.highlight::-webkit-scrollbar {
  width: 6px;
  height: 6px;
  -webkit-transition: .3s background;
  transition: .3s background
}

.highlight pre::-webkit-scrollbar-thumb,
pre.highlight::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: #dbdee3
}

.highlight pre::-webkit-scrollbar-corner,
pre.highlight::-webkit-scrollbar-corner {
  background: 0 0
}

.highlight pre:hover::-webkit-scrollbar-thumb,
pre.highlight:hover::-webkit-scrollbar-thumb {
  background: #c6cad0;
  background: #c6cad0
}

.highlight {
  margin: 0
}

.highlight code>* {
  margin: 0 !important;
  padding: 0 !important
}

.highlight .dl {
  color: #4070a0
}

.highlight .c {
  color: #727272
}

.highlight .c1 {
  color: #727272
}

.highlight .ch {
  font-style: italic;
  color: #60a0b0
}

.highlight .cm {
  color: #727272
}

.highlight .cp {
  color: #008085
}

.highlight .cpf {
  color: #007020
}

.highlight .cs {
  color: #727272
}

.highlight .gd {
  background-color: #fcc;
  border: 1px solid #c00
}

.highlight .ge {
  font-style: italic
}

.highlight .gh {
  color: #030
}

.highlight .gi {
  background-color: #cfc;
  border: 1px solid #0c0
}

.highlight .gl {
  text-decoration: underline
}

.highlight .go {
  color: #aaa
}

.highlight .gp {
  color: #009
}

.highlight .gr {
  color: red
}

.highlight .gs {
  font-weight: 700
}

.highlight .gt {
  color: #9c6
}

.highlight .gu {
  color: #030
}

.highlight .il {
  color: #c24f19
}

.highlight .k {
  color: #069
}

.highlight .kc {
  color: #069
}

.highlight .kd {
  color: #069
}

.highlight .kn {
  color: #069
}

.highlight .kp {
  color: #069
}

.highlight .kr {
  color: #069
}

.highlight .kt {
  color: #078
}

.highlight .m {
  color: #c24f19
}

.highlight .mf {
  color: #c24f19
}

.highlight .mb {
  color: #40a070
}

.highlight .mh {
  color: #c24f19
}

.highlight .mi {
  color: #c24f19
}

.highlight .mo {
  color: #c24f19
}

.highlight .na {
  color: #006ee0
}

.highlight .nb {
  color: #366
}

.highlight .nc {
  color: #168174
}

.highlight .nd {
  color: #6b62de
}

.highlight .ne {
  color: #c00
}

.highlight .nf {
  color: #b715f4
}

.highlight .ni {
  color: #727272
}

.highlight .nl {
  color: #6b62de
}

.highlight .nn {
  color: #007ca5
}

.highlight .no {
  color: #360
}

.highlight .nt {
  color: #2f6f9f
}

.highlight .nv {
  color: #033
}

.highlight .o {
  color: #555
}

.highlight .ow {
  color: #000
}

.highlight .s {
  color: #d73038
}

.highlight .s1 {
  color: #c30
}

.highlight .s2 {
  color: #c30
}

.highlight .sa {
  color: #4070a0
}

.highlight .sb {
  color: #c30
}

.highlight .sc {
  color: #c30
}

.highlight .sd {
  font-style: italic;
  color: #c30
}

.highlight .se {
  color: #c30
}

.highlight .sh {
  color: #c30
}

.highlight .si {
  color: #a00
}

.highlight .sr {
  color: #337e7e
}

.highlight .ss {
  color: #fc3
}

.highlight .sx {
  color: #c30
}

.highlight .w {
  color: #bbb
}

.highlight .language-bash::before,
.highlight .language-sh::before {
  color: #009;
  content: "$ ";
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none
}

.highlight .language-bash .m,
.highlight .language-sh .m {
  color: inherit
}

.highlight .language-powershell::before {
  color: #009;
  content: "PM> ";
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none
}

.example {
  padding: 2rem;
  margin: 2rem 0;
  border: 1px solid #e6e8e9;
  border-radius: 3px 3px 0 0;
  position: relative;
  min-height: 12rem;
  display: flex;
  align-items: center;
  overflow-x: auto
}

.example-centered {
  justify-content: center
}

.example-centered .example-content {
  flex: 0 auto
}

.example-content {
  font-size: .875rem;
  line-height: 1.4285714;
  color: #232e3c;
  flex: 1;
  max-width: 100%
}

.example-bg {
  background: #f4f6fa
}

.example-code {
  margin: 2rem 0;
  border: 1px solid #e6e8e9;
  border-top: none
}

.example-code pre {
  margin: 0;
  border: 0;
  border-radius: 0 0 3px 3px
}

.example+.example-code {
  margin-top: -2rem
}

.example-column {
  margin: 0 auto
}

.example-column>.card:last-of-type {
  margin-bottom: 0
}

.example-column-1 {
  max-width: 26rem
}

.example-column-2 {
  max-width: 52rem
}

.example-modal-backdrop {
  background: #232e3c;
  opacity: .24;
  position: absolute;
  width: 100%;
  left: 0;
  top: 0;
  height: 100%;
  border-radius: 2px 2px 0 0
}

@media not print {
  .theme-dark .example-code {
    border: 1px solid #e6e8e9;
    border-top: none
  }
}

@media not print and (prefers-color-scheme:dark) {
  .theme-dark-auto .example-code {
    border: 1px solid #e6e8e9;
    border-top: none
  }
}

.card-sponsor {
  background: #dbe7f6 no-repeat center/100% 100%;
  border-color: #548ed2;
  min-height: 316px
}

body.no-transitions * {
  transition: none !important
}

.dropdown-menu-demo {
  display: inline-block;
  width: 100%;
  position: relative;
  top: 0;
  margin-bottom: 1rem
}

.demo-icon-preview {
  position: -webkit-sticky;
  position: sticky;
  top: 0
}

.demo-icon-preview i,
.demo-icon-preview svg {
  width: 15rem;
  height: 15rem;
  font-size: 15rem;
  stroke-width: 1.5;
  margin: 0 auto;
  display: block
}

@media (max-width:575.98px) {

  .demo-icon-preview i,
  .demo-icon-preview svg {
    width: 10rem;
    height: 10rem;
    font-size: 10rem
  }
}

.demo-icon-preview-icon pre {
  margin: 0;
  -webkit-user-select: all;
  -moz-user-select: all;
  user-select: all
}

.demo-dividers>p {
  opacity: .2;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none
}

.demo-icons-list {
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  margin: 0 -2px -1px 0;
  list-style: none
}

.demo-icons-list>* {
  flex: 1 0 7rem
}

.demo-icons-list-wrap {
  overflow: hidden
}

.demo-icons-list-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 7rem;
  text-align: center;
  padding: .5rem;
  border-right: 1px solid #e6e8e9;
  border-bottom: 1px solid #e6e8e9;
  color: inherit;
  cursor: pointer
}

.demo-icons-list-item .icon {
  width: 1.5rem;
  height: 1.5rem;
  font-size: 1.5rem
}

.demo-icons-list-item:hover {
  text-decoration: none
}


/* ========================================================================
     Component: form-validation
 ========================================================================== */
.parsley-error {
  border-color: #f05050 !important;
}

.parsley-required,
.parsley-type,
.parsley-equalto {
  color: #f05050;
}

.parsley-errors-list {
  display: none;
  margin: 0;
  padding: 0;
}

.parsley-errors-list.filled {
  display: block;
}

.parsley-errors-list>li {
  font-size: 12px;
  list-style: none;
  color: #f05050;
}

.input-group.with-focus .form-control {
  transition: none;
}

.input-group.with-focus .form-control:focus+.input-group-append>.input-group-text {
  border-color: #66afe9;
}

.input-group.with-focus .form-control.is-invalid+.input-group-append>.input-group-text {
  border-color: #f05050;
}

.input-group.with-focus .form-control.is-valid+.input-group-append>.input-group-text {
  border-color: #27c24c;
}


input.parsley-success,
select.parsley-success,
textarea.parsley-success {
  color: #468847;
  background-color: #DFF0D8;
  border: 1px solid #D6E9C6;
}

.select2 .parsley-error .selection,
.custom-select .parsley-error,
input.parsley-error,
select2.parsley-error,
select.parsley-error,
textarea.parsley-error {
  color: #B94A48;
  background-color: #F2DEDE;
  border: 1px solid #EED3D7;
}

.parsley-errors-list {
  margin: 2px 0 3px;
  padding: 0;
  list-style-type: none;
  font-size: 0.9em;
  line-height: 0.9em;
  opacity: 0;
  color: #e27f7e;
  transition: all .3s ease-in;
  -o-transition: all .3s ease-in;
  -moz-transition: all .3s ease-in;
  -webkit-transition: all .3s ease-in;
}

.parsley-errors-list.filled {
  opacity: 1;
}

.field_with_errors,
.parsley-required {
  color: #e27f7e;

}

.notifyjs-bootstrap-base {
  position: relative;
  min-height: 36px;
  color: #444;
}


.text-muld {
  color: #535c67;
  max-width: 100%
}
